import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"

export default class Bftsnd{
    constructor () {
        this.data = {
						bftp:{
							dedget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bftp.dedget.sdamod.dadsnd
									seainf:"",			//  		.bftp.dedget.sdamod.seainf
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bftp.recget.sdamod.dadsnd
									seainf:"",			//  		.bftp.recget.sdamod.seainf
								},
							},
							docgrdm:{
								docdsclab:"",			//  Label of document description		.bftp.docgrdm.docdsclab
							},
							prbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bftp.prbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bftp.prbp.ptsget.sdamod.dadsnd
									},
								},
							},
							msgtyp:"",			//  报文类型		.bftp.msgtyp
							folwupopt:"",			//  Processing Options		.bftp.folwupopt
							cre752flg:"",			//  Create 752		.bftp.cre752flg
							furide:"",			//  Further Identification		.bftp.furide
							docp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bftp.docp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bftp.docp.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						dedgrp:{
							rec:{
								ownref:"",			//  参考号		.dedgrp.rec.ownref
								kzref:"",			//  信用证编号		.dedgrp.rec.kzref
							},
							cbs:{
								opn1:{
									cur:"",			//  Currency		.dedgrp.cbs.opn1.cur
									amt:"",			//  Balance		.dedgrp.cbs.opn1.amt
								},
							},
						},
						bfdgrp:{
							rec:{
								ownref:"",			//  单据参考号		.bfdgrp.rec.ownref
								doctypcod:"",			//  单据类型		.bfdgrp.rec.doctypcod
								matdat:"",			//  远期单据到期日		.bfdgrp.rec.matdat
								rcvdat:"",			//  到单日期		.bfdgrp.rec.rcvdat
								predat:"",			//  Presentation Date		.bfdgrp.rec.predat
								docsta:"",			//  单据状态		.bfdgrp.rec.docsta
								nam:"",			//  Externally Displayed Name to Identify the Contract		.bfdgrp.rec.nam
								payrol:"",			//  Payer		.bfdgrp.rec.payrol
								docprbrol:"",			//  Presented by		.bfdgrp.rec.docprbrol
								shpdat:"",			//  装运日期		.bfdgrp.rec.shpdat
								expmno:"",			//  快递单号		.bfdgrp.rec.expmno
								invref:"",			//  发票信息		.bfdgrp.rec.invref
								anobnkcod:"",			//  交单批注行行号		.bfdgrp.rec.anobnkcod
								anodat:"",			//  交单批注日期		.bfdgrp.rec.anodat
								anodsp:"",			//  交单批注描述		.bfdgrp.rec.anodsp
								docrolflg:"",			//  Send Documents to Another Address		.bfdgrp.rec.docrolflg
								docrol:"",			//  Receiver of Documents		.bfdgrp.rec.docrol
								approvcod:"",			//  Documents on Approval Basis		.bfdgrp.rec.approvcod
								disdat:"",			//  Date of Advice		.bfdgrp.rec.disdat
								lescom:"",			//  Less comm.		.bfdgrp.rec.lescom
							},
							cbs:{
								max:{
									cur:"",			//  单据金额		.bfdgrp.cbs.max.cur
									amt:"",			//  单据金额		.bfdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  单据余额		.bfdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.bfdgrp.cbs.opn1.amt
								},
							},
							prb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bfdgrp.prb.namelc
								adrelc:"",			//  地址		.bfdgrp.prb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bfdgrp.prb.dbfadrblkcn
							},
							iss:{
								pts:new Pts().data,
							},
							apl:{
								pts:new Pts().data,
							},
							blk:{
								matper:"",			//  远期单据到期时间		.bfdgrp.blk.matper
								intdis:"",			//  Internal Discrepancies		.bfdgrp.blk.intdis
								comcon:"",			//  Comments and Conclusions		.bfdgrp.blk.comcon
								setinsbe:"",			//  Settlement Instructions transaction field		.bfdgrp.blk.setinsbe
								docdis:"",			//  Discrepancies		.bfdgrp.blk.docdis
								docdisflg:"",			//  Discrepancies modified		.bfdgrp.blk.docdisflg
								benref:"",			//  新受益人编号		.bfdgrp.blk.benref
							},
							oth:{
								pts:new Pts().data,
							},
							doc:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bfdgrp.doc.namelc
								adrelc:"",			//  地址		.bfdgrp.doc.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bfdgrp.doc.dbfadrblkcn
							},
						},
						ameadrflg:"",			//  Ammendment Ben. or Iss. Address		.ameadrflg
						idcode:"",			//  受益人统一社会信用代码		.idcode
						skrnam:"",			//  收款人名称		.skrnam
						skracc:"",			//  收款人账号		.skracc
						skhhao:"",			//  收款行行号		.skhhao
						skhnam:"",			//  收款行名称		.skhnam
						bfdsnd:{
							snd732:"",			//  Create MT 732		.bfdsnd.snd732
							ingdsc:"",			//  Ignore Discrepancies		.bfdsnd.ingdsc
							yf:"",			//  议付		.bfdsnd.yf
							usadet:"",			//  远期单据指示		.bfdsnd.usadet
							addphr:"",			//  偿付条款		.bfdsnd.addphr
							newbenadr:"",			//  新受益人地址		.bfdsnd.newbenadr
						},
						/*liaall:{
							misamt:"",			//  Amount not yet assigned		.liaall.misamt
							concur:"",			//  External Booking Amount		.liaall.concur
							outpct:"",			//  Sight Amount Percentage		.liaall.outpct
							outamt:"",			//  Sight Amount		.liaall.outamt
							exttotoldamt:"",			//  Old Amount booked externally		.liaall.exttotoldamt
							exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
							limmod:{
								limpts:{
									wrklab:"",			//  Label		.liaall.limmod.limpts.wrklab
									othlab:"",			//  Label		.liaall.limmod.limpts.othlab
									othlabss:"",			//  Label		.liaall.limmod.limpts.othlabss
									wrk:{
										pts:new Pts().data,
									},
									oth:{
										pts:new Pts().data,
									},
									lsh:"",			//  合同流�'号		.liaall.limmod.limpts.lsh
									nonrevflg1:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg1
									pfcod1:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod1
									nonrevflg2:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg2
									pfcod2:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod2
								},
								wrkp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.wrkp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.wrkp.ptsget.sdamod.seainf
										},
									},
								},
								othp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.othp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.othp.ptsget.sdamod.seainf
										},
									},
								},
								ownref:"",			//  国结业务编号		.liaall.limmod.ownref
								comamt:"",			//  业务余额		.liaall.limmod.comamt
								ccvamt:"",			//  保证金余额		.liaall.limmod.ccvamt
								ecifno:"",			//  ECIFNO		.liaall.limmod.ecifno
							},
						},*/
						/*setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  减少后的结算金额		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
							redamt:"",			//  减少的金额		.setmod.redamt
							setamt:"",			//  Reduced Amount to settle		.setmod.setamt
							redamttxt:"",			//  注释		.setmod.redamttxt
						},*/
						setmod: new Pub().data.Setmod,
						mtabut: new Pub().data.Mtabut,
						trnmod: new Pub().data.Trnmod,
						liaall: new Pub().data.Liaall,
						/*mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
							},
						},*/
						pageId: ""			// ctx的key
				}
    }
}