import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Botdav{
    constructor () {
        this.data = {
						bodgrp:{
							rec:{
								matpertyp:"",			//  Days/Months or Years for Maturity Period		.bodgrp.rec.matpertyp
								ownref:"",			//  Reference		.bodgrp.rec.ownref
								nam:"",			//  Name		.bodgrp.rec.nam
								dircolflg:"",			//  Direct Collection		.bodgrp.rec.dircolflg
								resflg:"",			//  Reservated Contract		.bodgrp.rec.resflg
								rcvdat:"",			//  Order Date		.bodgrp.rec.rcvdat
								shpdat:"",			//  Shipment date		.bodgrp.rec.shpdat
								predat:"",			//  Presentation Date		.bodgrp.rec.predat
								advdat:"",			//  Dispatched on		.bodgrp.rec.advdat
								doctypcod:"",			//  Collection Condition		.bodgrp.rec.doctypcod
								matdat:"",			//  Maturity Date		.bodgrp.rec.matdat
								matpercnt:"",			//  Tenor Specification		.bodgrp.rec.matpercnt
								matperbeg:"",			//  Starting from		.bodgrp.rec.matperbeg
								stacty:"",			//  Country Code Risk Country!		.bodgrp.rec.stacty
								stagod:"",			//  Goods Code		.bodgrp.rec.stagod
								invtyp:"",			//  Maturity Date		.bodgrp.rec.invtyp
								paydoctyp:"",			//  Financial Document		.bodgrp.rec.paydoctyp
								paydocnum:"",			//  Document Number		.bodgrp.rec.paydocnum
								issdat:"",			//  Issued on		.bodgrp.rec.issdat
								ccdndrflg:"",			//  Truncation - Physical Document Kept w OWN		.bodgrp.rec.ccdndrflg
								ccdpurflg:"",			//  Payment Under Reserve		.bodgrp.rec.ccdpurflg
								chato:"",			//  Our Charges to		.bodgrp.rec.chato
								focflg:"",			//  Free of Payment		.bodgrp.rec.focflg
								waicolcod:"",			//  Protest Instructions		.bodgrp.rec.waicolcod
								wairmtcod:"",			//  Waive Remitting Bank Charges		.bodgrp.rec.wairmtcod
								othins:"",			//  Defer Payment until		.bodgrp.rec.othins
								lescom:"",			//  Warehouse/Insurance		.bodgrp.rec.lescom
								shpfro:"",			//  Shipment from		.bodgrp.rec.shpfro
								shpto:"",			//  For Transportation to		.bodgrp.rec.shpto
							},
							cbs:{
								max:{
									cur:"",			//  Document Amount		.bodgrp.cbs.max.cur
									amt:"",			//  Document Amount		.bodgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Warehouse/Insurance		.bodgrp.cbs.opn1.cur
									amt:"",			//  Open Amount		.bodgrp.cbs.opn1.amt
								},
							},
							blk:{
								bogdet:"",			//  Tenor Details Text		.bodgrp.blk.bogdet
								cctinsrcv:"",			//  Instructions Received		.bodgrp.blk.cctinsrcv
								cctinscol:"",			//  Collection Instruction		.bodgrp.blk.cctinscol
								colins:"",			//  Collection Instructions		.bodgrp.blk.colins
								colinsflg:"",			//  Collection instructions modified		.bodgrp.blk.colinsflg
								dftins:"",			//  Draft Instructions		.bodgrp.blk.dftins
								proins:"",			//  Protest Instructions		.bodgrp.blk.proins
								othins:"",			//  Other Instructions		.bodgrp.blk.othins
								chgtxt:"",			//  Charges Text		.bodgrp.blk.chgtxt
								delins:"",			//  Delivery instructions		.bodgrp.blk.delins
								intins:"",			//  Interest Instructions		.bodgrp.blk.intins
								setinsbo:"",			//  Settlement insrtrctions		.bodgrp.blk.setinsbo
								agtaut:"",			//  Authority of Agent		.bodgrp.blk.agtaut
								goddes:"",			//  Description of Goods		.bodgrp.blk.goddes
							},
							drr:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bodgrp.drr.namelc
								adrelc:"",			//  地址		.bodgrp.drr.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bodgrp.drr.dbfadrblkcn
							},
							col:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bodgrp.col.namelc
								adrelc:"",			//  地址		.bodgrp.col.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bodgrp.col.dbfadrblkcn
							},
							dre:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bodgrp.dre.namelc
								adrelc:"",			//  地址		.bodgrp.dre.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bodgrp.dre.dbfadrblkcn
							},
							srm:{
								djuusr:"",			//  单据出具人		.bodgrp.srm.djuusr
								djudat:"",			//  单据出具日期		.bodgrp.srm.djudat
								djuref:"",			//  货权单据编号		.bodgrp.srm.djuref
								djutyp:"",			//  单据类型		.bodgrp.srm.djutyp
							},
						},
						botp:{
							recget:{
								sdamod:{
									seainf:"",			//  		.botp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.botp.recget.sdamod.dadsnd
								},
							},
							usr:{
								extkey:"",			//  Responsible User		.botp.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.botp.usrget.sdamod.seainf
								},
							},
							docgrdm:{
								docdsclab:"",			//  Label of document description		.botp.docgrdm.docdsclab
							},
							drrp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.botp.drrp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.botp.drrp.ptsget.sdamod.dadsnd
									},
								},
							},
							colp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.botp.colp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.botp.colp.ptsget.sdamod.dadsnd
									},
								},
							},
							drep:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.botp.drep.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.botp.drep.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
								setgll:[]
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
							setfog:{
								setfol:[]
							},
							setfeg:{
								setfel:[]
							},
							glemod:{
								gleshwstm: {}
							}
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
							},
						},
						cnybop:{
							cnyflg:"",			//  是否报送跨境人民币2101表		.cnybop.cnyflg
							traflg:"",			//  是否报送跨境人民币2107表		.cnybop.traflg
							outflg:"",			//  是否报送跨境人民币2111表		.cnybop.outflg
							libflg:"",			//  是否报送跨境人民币2106表		.cnybop.libflg
							vouflg:"",			//  是否报送跨境人民币2122表		.cnybop.vouflg
						},
						pageId: ""			// ctx的key
				}
    }
}